#c Copyright 2008-2025, the GAVO project <gavo@ari.uni-heidelberg.de>
#c
#c This program is free software, covered by the GNU GPL.  See the
#c COPYING file in the source distribution.


from gavo import api

class Core(api.Core):
	inputTableXML = """
    <inputTable>
      <inputKey name="x" type="integer" multiplicity="single"
        tablehead="Num"/></inputTable>"""

	def run(self, service, inputTable, queryMeta):
		return ("text/plain", "x"*inputTable.args["x"])
